Class UmlBaseUseCaseAssociation

this class manages association between use case and actor

Declaration :

- C++ : class UmlBaseUseCaseAssociation
- Java : class UmlBaseUseCaseAssociation

Directly inherited by : UmlUseCaseAssociation

Artifact : UmlBaseUseCaseAssociation

Operation name

return the name

Declaration :

- Uml : + name() : string
- C++ : public: const QCString & name() const
- Java : public String name()

Operation stereotype

return the stereotype

Declaration :

- Uml : + stereotype() : string
- C++ : public: const QCString & stereotype() const
- Java : public String stereotype()

Operation useCase

return the use case

Declaration :

- Uml : + useCase() : UmlUseCaseReference
- C++ : public: UmlUseCaseReference * useCase() const
- Java : public UmlUseCaseReference useCase()

Operation actor

return the actor

Declaration :

- Uml : + actor() : UmlClass
- C++ : public: UmlClass * actor() const
- Java : public UmlClass actor()

Operation primary

return true if the actor is a primary actor for the use case

Declaration :

- Uml : + primary() : bool
- C++ : public: bool primary() const
- Java : public boolean primary()

Relation _use_case (<unidirectional association>)

Declaration :

- Uml : - _use_case : UmlUseCaseReference
- C++ : private: UmlUseCaseReference * _use_case
- Java : private UmlUseCaseReference _use_case

Relation _actor (<unidirectional association>)

Declaration :

- Uml : - _actor : UmlClass
- C++ : private: UmlClass * _actor
- Java : private UmlClass _actor

Attribut _name

Declaration :

- Uml : - _name : string
- C++ : private: QCString _name
- Java : private String _name

Attribut _stereotype

Declaration :

- Uml : - _stereotype : string
- C++ : private: QCString _stereotype
- Java : private String _stereotype

Attribut _primary

Declaration :

- Uml : - _primary : bool
- C++ : private: bool _primary
- Java : private boolean _primary

Operation read_

internal, don't call it

Declaration :

- Uml : + read_(in useCases : UmlUseCaseReference) : void
- C++ : private: void read_(const QPtrDict<UmlUseCaseReference> & useCases)
- Java : public void read_(Hashtable useCases)

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseUseCaseDiagramDefinition;

All public operations : actor , name , primary , read_ , stereotype , useCase